Skip to main content
GET
/
jobs
List Jobs
curl --request GET \
  --url https://{base_url}/jobs \
  --header 'X-API-Key: <api-key>'
{
  "jobs": [
    {
      "id": "<string>",
      "type": "PREDICT",
      "status": "IN_QUEUE",
      "file": {
        "id": "<string>",
        "filename": "<string>",
        "total_pages": 123
      },
      "template_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "execution_time_ms": 123,
      "retry_count": 123,
      "error_message": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

page
integer
default:1

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:10

Items per page (max 20, default 10)

Required range: x <= 20
status
enum<string>

Filter by job status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELLED
job_type
enum<string>

Filter by job type

Available options:
PREDICT,
PARSE,
FRAUD

Search in job ID or file reference

date_from
string<date>

Filter jobs created from this date

date_to
string<date>

Filter jobs created until this date

Response

List of jobs with pagination

jobs
object[]
pagination
object